Get a list of related persons
get
/RelatedPerson
Note: The FHIR API endpoints described below are available for customers to deploy and use. Developers are welcome and encouraged to develop against the specifications in anticipation of customer deployment.
Retrieves a list of related persons that meet the supplied query parameters.
Request
Query Parameters
-
_count: integer
Minimum Value:
1Maximum Value:128The maximum number of results per page.Default Value:50 -
_id: string
The logical resource ID.
-
_lastUpdated: string
One instant or date or a lower and upper comparison range.
-
_revinclude: string
The inclusion of related Provenance resources whose target is a returned related person.Allowed Values:
[ "Provenance:target" ] -
identifier: string
One system|value identifier token.
-
name: string
The name prefix.
-
patient: string
One patient ID or
Patient/idreference.
Header Parameters
-
accept(required): string
The media type to be requested.
Example:
application/fhir+json -
authorization(required): string
The OAuth 2.0 Bearer token used to authenticate the request.
There's no request body for this operation.
Back to TopResponse
200 Response
The successful search response.
Root Schema : schema
Type:
Show Source
object-
entry: array
entry
-
id(required): string
-
link: array
link
-
resourceType(required): string
Allowed Values:
[ "Bundle" ] -
type(required): string
Nested Schema : resource
Match One Schema
Show Source
-
object
RelatedPerson
The Oracle US Core RelatedPerson returned by read and search operations.
-
object
ProvenanceForRelatedPerson
Additional Properties Allowed:
true -
object
OperationOutcome
The FHIR OperationOutcome.
Nested Schema : RelatedPerson
Type:
objectThe Oracle US Core RelatedPerson returned by read and search operations.
Show Source
-
active(required): boolean
Allowed Values:
[ true ] -
address: array
address
-
birthDate: string
(date)
-
communication: array
communication
-
gender: string
Allowed Values:
[ "male", "female", "other", "unknown" ] -
id(required): string
-
identifier: array
identifier
-
meta: object
meta
-
name: array
name
-
patient(required): object
ReferenceForRelatedPerson
-
relationship: array
relationship
-
resourceType(required): string
Allowed Values:
[ "RelatedPerson" ] -
telecom: array
telecom
-
text(required): object
Narrative
Nested Schema : ProvenanceForRelatedPerson
Type:
objectAdditional Properties Allowed:
Show Source
true-
resourceType(required): string
Allowed Values:
[ "Provenance" ]
Nested Schema : OperationOutcome
Type:
objectThe FHIR OperationOutcome.
Show Source
-
issue: array
issue
The OperationOutcome issues.
-
resourceType: string
Allowed Values:
[ "OperationOutcome" ]The FHIR resource type.
Nested Schema : Narrative
Type:
Show Source
object-
div: string
The XHTML narrative content.
-
status: string
The narrative generation status.
Nested Schema : CodeableConcept
Type:
Show Source
object-
coding: array
coding
The terminology codings or data-absent-reason coding.
-
id: string
-
text: string
The human-readable medication name.
Nested Schema : coding
Type:
arrayThe terminology codings or data-absent-reason coding.
Show Source
Nested Schema : ContactPoint
Type:
Show Source
object-
period: object
Period
-
rank: integer
-
system: string
The telecommunications form.
-
use: string
-
value: string
The contact value.
Nested Schema : BundleLink
Type:
Show Source
object-
relation: string
Allowed Values:
[ "self", "next", "previous" ]The link relation. -
url: string
The link URL.
Default Response
An OperationOutcome
describing any error that occurred.
Root Schema : OperationOutcome
Type:
objectThe FHIR OperationOutcome.
Show Source
-
issue: array
issue
The OperationOutcome issues.
-
resourceType: string
Allowed Values:
[ "OperationOutcome" ]The FHIR resource type.
Nested Schema : CodeableConcept
Type:
Show Source
object-
coding: array
coding
The terminology codings or data-absent-reason coding.
-
id: string
-
text: string
The human-readable medication name.
Nested Schema : coding
Type:
arrayThe terminology codings or data-absent-reason coding.
Show Source